services:
  gitlab:
    image: gitlab/gitlab-ce:17.11.1-ce.0
    container_name: gitlab-ce
    restart: always
    network_mode: bridge
    deploy:
      resources:
        limits:
          cpus: '3'
          memory: '6G'
    ports:
      - "1443:443"
      - "1080:80"
      - "1022:22"
    volumes:
      - ./data/etc:/etc/gitlab
      - ./data/log:/var/log/gitlab
      - ./data/opt:/var/opt/gitlab
